Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.util
Class MultivaluedMapImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.util.List<java.lang.String>>
              com.sun.jersey.core.util.MultivaluedMapImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<java.lang.String>>, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>

Direct Known Subclasses:
  Form

    public class MultivaluedMapImpl

extends java.util.HashMap<java.lang.String,java.util.List<java.lang.String>>
implements javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>

An implementation of `MultivaluedMap` where keys and values are instances of String.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`MultivaluedMapImpl()`

Method Summary
`void` | `add(java.lang.String key, java.lang.Object value)`
`void` | `add(java.lang.String key, java.lang.String value)`
`void` | `addFirst(java.lang.String key, java.lang.String value)`
`
`<A> java.util.List<A>`
` | `get(java.lang.String key, java.lang.Class<A> type)`
`java.lang.String` | `getFirst(java.lang.String key)`
`
`<A> A`
` | `getFirst(java.lang.String key, A defaultValue)`
`
`<A> A`
` | `getFirst(java.lang.String key, java.lang.Class<A> type)`
`void` | `putSingle(java.lang.String key, java.lang.Object value)`
`void` | `putSingle(java.lang.String key, java.lang.String value)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### MultivaluedMapImpl

    public MultivaluedMapImpl()

Method Detail

### putSingle

    public final void putSingle(java.lang.String key,
                                java.lang.String value)

  Specified by:
    `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>`

### add

    public final void add(java.lang.String key,
                          java.lang.String value)

  Specified by:
    `add` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>`

### getFirst

    public final java.lang.String getFirst(java.lang.String key)

  Specified by:
    `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>`

### addFirst

    public final void addFirst(java.lang.String key,
                               java.lang.String value)

### get

    public final <A> java.util.List<A> get(java.lang.String key,
                                           java.lang.Class<A> type)

### putSingle

    public final void putSingle(java.lang.String key,
                                java.lang.Object value)

### add

    public final void add(java.lang.String key,
                          java.lang.Object value)

### getFirst

    public final <A> A getFirst(java.lang.String key,
                                java.lang.Class<A> type)

### getFirst

    public final <A> A getFirst(java.lang.String key,
                                A defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.